## xvi-2.50.3.tar.gz

=== Makefile ===
# Top-level Makefile for Debian package
#
# If you want a different kind of build, use:
#	cd src; make -f makefile.hpx
# or whatever.
#
#	Martin Guy, 8 April 2006

INSTALLROOT=/usr

BINDIR=$(DESTDIR)$(INSTALLROOT)/bin
HELPDIR=$(DESTDIR)$(INSTALLROOT)/share/xvi
MANDIR=$(DESTDIR)$(INSTALLROOT)/share/man/man1
DOCDIR=$(DESTDIR)$(INSTALLROOT)/share/doc/xvi

INSTALL?=install
MAKE?=make

OPTFLAG = -O2

# Default target for "make"
all:
	@# makefile.pos sets CFLAGS itself; we apply the DEB_BUILD_OPTIONS by
	@# overriding its OPTFLAG variable. Subvert it to set HELPFILE too.
	(cd src && $(MAKE) -f makefile.pos \
		OPTFLAG="$(OPTFLAG) -DHELPFILE=\\\"$(HELPDIR)/xvi.help\\\"" \
		xvi)

check: all
	@(cd test && make check)

install: all
	$(INSTALL) -d $(BINDIR) $(HELPDIR) $(MANDIR) $(DOCDIR)
	$(INSTALL) -m 755 -s src/xvi $(BINDIR)
	$(INSTALL) -m 644 src/xvi.help $(HELPDIR)
	$(INSTALL) -m 644 doc/xvi.1 $(MANDIR)

clean:
	(cd src && $(MAKE) -f makefile.pos clean)
	(cd doc && $(MAKE) clean)
	(cd test && $(MAKE) clean)
	rm -f configure-stamp build-stamp

=== doc/Makefile ===
.SUFFIXES: .1 .ms .txt .pdf

all: source.txt xvi.txt source.pdf xvi.pdf

.ms.txt:
	tbl $< | nroff -ms -Tascii -c | col -b > $@

.ms.pdf:
	tbl $< | troff -ms -Tps | grops | ps2pdf - - > $@

.1.txt:
	nroff -man -Tascii -c $< | col -b > $@

.1.pdf:
	troff -man -Tps -c $< | grops | ps2pdf - - > $@

clean:
	rm -f *.txt *.pdf

=== test/Makefile ===
# Makefile for xvi's test suite

all:
	@make -C ..

check:
	@scripts/runtests

nox:
	@# Run the tests using a dummy X server.
	@test `whoami` = root || { echo "You have to be root"; exit 1; }
	@XAUTHORITY= startx -e "scripts/runtests>errs" -- :1 -config $$PWD/data/xorg.conf 2>/dev/null
	@cat errs
	@-if grep -q FAILED errs; then exit 1; else rm errs; exit 0; fi

clean:
	@# vim creates .swp files
	rm -f \#unnamed.* *.dump *.tmp .sw? core errs typescript

=== debian/changelog ===
xvi (2.50.3-1) unstable; urgency=low

  * Release 2.50.3. Bugs fixes are listed in the file RELEASE-2.50
    - On MSDOS, keyboard interrupts with ^C killed xvi. Now they work again
    - In insert/replace mode, ^B^C said "interrupted" but stayed in insert mode
    - "source" now works again on MSDOS (it was getting confused by \r\n)
    - Inserting in the middle of command line got screen updating wrong
    - Accented characters with codes 128-140 can be inserted again
    - Repeating an insertion with "." works again.

 -- Martin Guy <martinwguy@gmail.com>  Thu,  7 June 2017 09:48:00 +0200

xvi (2.50.2-1) unstable; urgency=low

  * Release 2.50.2. Five bug fixes:
    - Inserting chars in the middle of a command line got the display right but
      the inserted characters were omitted from the command
    - ^U to cancel a command line now clears the display too back to the :
    - "tc" now does not move if the character after the cursor is a "c"
    - Character maps are now applied to text stuffed with :@ or :*
    - Stuffing a character-based yank with :@ or :* adds a final newline

 -- Martin Guy <martinwguy@gmail.com>  Thu,  4 May 2017 11:16:00 +0200

xvi (2.50.1-1) unstable; urgency=low

  * Release 2.50.1. Three bug fixes:
    - Fix compilation with compilers that don't have // comments
    - :e no longer says "Ambiguous command" (the reason for the re-release)
    - Pasting a char-based buffer of several lines lacked newlines between them

 -- Martin Guy <martinwguy@gmail.com>  Thu,  4 May 2017 11:16:00 +0200

xvi (2.50-1) unstable; urgency=low

  * Release 2.50. See RELNOTES-2.50 for a detailed list of changes.

 -- Martin Guy <martinwguy@gmail.com>  Sun, 30 Apr 2017 16:18:16 +0200

xvi (2.49-1) unstable; urgency=low

  * Bug fix release
    - "Join" commands now join the right number of line and
      insert and display the right number of spaces
    - Parse exuberant ctags' extended format for tags file
    - Allow saving to a writable file in an unwritable directory
    - Repaint the window when a X Window System terminal window is resized
    - Fixed one potential infinite loop, one seg fault nd one buffer overflow bugs
    - Allow compilation with TinyC (tcc) and without -ansi
    - Get cursor position right after unsuccessful "n" command

 -- Martin Guy <martinwguy@gmail.com>  Thu, 29 Mar 2015 18:26:16 +0200

xvi (2.48-1) unstable; urgency=low

  * Bug fix release

 -- Martin Guy <martinwguy@yahoo.it>  Sat, 13 Oct 2013 13:03:48 +0100

xvi (2.47-1) unstable; urgency=low

  * Initial release
  * Wrote top level Makefile to implement Debian conventions

 -- Martin Guy <martinwguy@yahoo.it>  Sat,  8 Apr 2006 11:08:58 +0100

=== debian/control ===
Source: xvi
Section: editors
Priority: optional
Maintainer: Martin Guy <martinwguy@yahoo.it>
Build-Depends: debhelper (>= 4.0.0), libncurses5-dev
Standards-Version: 3.6.2

Package: xvi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: editor
Description: small multiple-window version of the `vi' text editor
 xvi is the smallest clone of the famous "vi" editor, with almost all of the
 commands of the original version by Bill Joy with the addition of a
 multiple buffer feature which allows you to edit several files simultaneously
 as well as allowing several views onto one file.
 .
 It does not implement the command-line "ex mode" and "open mode" of vi,
 nor the smart programming-language-specific modes. Exact differences between
 xvi and standard "vi" are listed in its manual page.
 .
 In spite of its name, it is not specific to the X Windows System, and
 and runs on any regular text terminal.
 .
 xvi was written by Chris and John Downey in the late 80s and early 90s,
 is derived from the STEVIE by Tim Thompson and Tony Andrews
 and currently lives at http://xvi.sourceforge.net

=== debian/rules ===
#! /usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	$(MAKE) OPTFLAG="$(CFLAGS)"
	#docbook-to-man debian/xvi.sgml > xvi.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/xvi


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
#	dh_install
	dh_installmenu
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Find new files on sourceforge, for debscripts >= 2.9
#http://sf.net/xvi/xvi-(.*)\.tar\.gz
# This doesn't work. uscan 2.9.15 says:
# Use of uninitialized value in concatenation (.) or string at /usr/bin/uscan line 664, <WATCH> line 10.
